Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASQ6

    java.lang.Object
      org.netlib.lapack.SLASQ6

    public class SLASQ6

extends java.lang.Object

    SLASQ6 is a simplified interface to the JLAPACK routine slasq6.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASQ6 computes one dqd (shift equal to zero) transform in
     *  ping-pong form, with protection against underflow and overflow.
     *
     *  Arguments
     *  =========
     *
     *  I0    (input) INTEGER
     *        First index.
     *
     *  N0    (input) INTEGER
     *        Last index.
     *
     *  Z     (input) REAL array, dimension ( 4*N )
     *        Z holds the qd array. EMIN is stored in Z(4*N0) to avoid
     *        an extra argument.
     *
     *  PP    (input) INTEGER
     *        PP=0 for ping, PP=1 for pong.
     *
     *  DMIN  (output) REAL
     *        Minimum value of d.
     *
     *  DMIN1 (output) REAL
     *        Minimum value of d, excluding D( N0 ).
     *
     *  DMIN2 (output) REAL
     *        Minimum value of d, excluding D( N0 ) and D( N0-1 ).
     *
     *  DN    (output) REAL
     *        d(N0), the last value of d.
     *
     *  DNM1  (output) REAL
     *        d(N0-1).
     *
     *  DNM2  (output) REAL
     *        d(N0-2).
     *
     *  =====================================================================
     *
     *     .. Parameter ..

Constructor Summary
`SLASQ6()`

Method Summary
`static void` | `SLASQ6(int i0, int n0, float[] z, int pp, floatW dmin, floatW dmin1, floatW dmin2, floatW dn, floatW dnm1, floatW dnm2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASQ6

    public SLASQ6()

Method Detail

### SLASQ6

    public static void SLASQ6(int i0,
                              int n0,
                              float[] z,
                              int pp,
                              floatW dmin,
                              floatW dmin1,
                              floatW dmin2,
                              floatW dn,
                              floatW dnm1,
                              floatW dnm2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD